<?xml version="1.0" encoding="UTF-8" standalone="no" ?>
<Application>

  <Header>
    <Version val="11000"/>
    <WithIsn val="Y"/>
    <_InternalTask val="N"/>
    <IsRoot val="N"/>
    <InIndex val="N"/>
  </Header>

  <ProgramsRepository>
    <Programs>
      <Task MainProgram="N">
        <Header Description="WEB制御マスタ保守" ISN_2="1" LastIsn="1" id="26">
          <Public val="CM0000"/>
          <ExecutionRight comp="-1"/>
          <Resident val="N"/>
          <SQL val="N"/>
          <ReturnValue>
            <ReturnValueAttr/>
            <ParametersAttributes/>
          </ReturnValue>
          <SqlWhereExist val="N"/>
          <TaskType val="O"/>
          <External val="Y"/>
          <FormType val="N"/>
          <DotNetObjectExists val="N"/>
          <LastModified _date="733707" _time="66095" date="2009/10/27" time="18:21:35"/>
        </Header>
        <ItemIsn val="8"/>
        <Resource>
          <DB>
            <DataObject comp="-1" obj="1"/>
            <Access val="W"/>
            <Share val="W"/>
            <Open val="N"/>
            <Cache val="Y"/>
            <IdentifyRowModifications val="84"/>
          </DB>
          <Columns>
            <Column id="1" name="W.時間">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="4"/>
                <_Dec id="181"/>
                <_Whole id="182" val="4"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
            <Column id="2" name="W.分">
              <PropertyList model="FIELD">
                <Model attr_obj="FIELD_NUMERIC" id="1"/>
                <Picture id="157" valUnicode="4"/>
                <_Dec id="181"/>
                <_Whole id="182" val="4"/>
                <_Negative id="192"/>
                <_FieldStyle id="276" val="1"/>
              </PropertyList>
            </Column>
          </Columns>
          <ColumnsLastIsn val="2"/>
        </Resource>
        <Information>
          <Key>
            <Column val="1"/>
            <Mode val="N"/>
          </Key>
          <DB comp="-1" obj="1"/>
          <Sort>
            <CLS val="A"/>
          </Sort>
          <ForceRecordDelete DEL="N"/>
          <EndTaskCondition val="N"/>
          <EvaluateEndCondition val="B"/>
          <InitialMode val="M"/>
          <Locate Direction="A"/>
          <Range Direction="A"/>
          <VarRange/>
          <TaskProperties>
            <SelectionTable val="N"/>
            <ConfirmUpdate CNFU="N"/>
            <ConfirmCancel val="N"/>
            <ErrorStrategy val="R"/>
            <LockingStrategy val="O"/>
            <CacheStrategy val="T"/>
            <ForceRecordSuffix val="N"/>
            <TransactionMode val="P"/>
            <TransactionBegin val="L"/>
            <PreloadView val="N"/>
            <AllowEmptyDataview val="N"/>
            <KeepCreatedContext val="N"/>
          </TaskProperties>
          <SIDE_WIN>
            <AllowOptions val="Y"/>
            <AllowQuery val="Y"/>
            <AllowModify val="Y"/>
            <AllowCreate val="Y"/>
            <AllowDelete val="Y"/>
            <AllowLocate val="Y"/>
            <AllowRange val="Y"/>
            <AllowIndexChange val="Y"/>
            <AllowSorting val="Y"/>
            <AllowIOFiles val="Y"/>
            <RecordCycle val="Y"/>
            <AllowEvents val="Y"/>
            <AllowIndexOptimization val="Y"/>
            <AllowLocationInQuery val="Y"/>
            <AllowPrintingData val="N"/>
          </SIDE_WIN>
          <WIN>
            <OpenTaskWindow val="Y"/>
            <CloseTaskWindow val="Y"/>
            <ForegroundWindow val="Y"/>
            <FlipFld val="N"/>
            <RefreshTaskWindow ReturnValue="N"/>
          </WIN>
          <BOX>
            <Direction val="V"/>
          </BOX>
        </Information>
        <INT_RECOMP_INFO>
          <v>10</v>
          <v>9</v>
          <v>10</v>
        </INT_RECOMP_INFO>
        <TaskLogic>
          <LogicUnit id="2" propagate="78">
            <Level val="R"/>
            <Type val="M"/>
            <_DspTemplate val="0"/>
            <_HeaderPosition val="1"/>
            <Scope val="S"/>
            <EngineDirective val="S"/>
            <ShowMessage val="Y"/>
            <Condition val="89"/>
            <_TotalVariabls val="8"/>
            <_TotalVirtuals val="2"/>
            <Event>
              <EventType val="S"/>
              <PublicObject comp="-1"/>
            </Event>
            <LogicLines>
              <LogicLine>
                <DATAVIEW_SRC FlowIsn="2" IDX="1" Type="M">
                  <Condition val="N"/>
                  <Modifier val="B"/>
                  <Direction val="C"/>
                </DATAVIEW_SRC>
              </LogicLine>
              <LogicLine>
                <Select FieldID="1" FlowIsn="3" id="1">
                  <Column val="1"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="4"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="2" FlowIsn="4" id="2">
                  <Column val="9"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="4"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <_DitIndexForToolkit val="2"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="3" FlowIsn="5" id="3">
                  <Column val="6"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="4"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <_DitIndexForToolkit val="4"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="4" FlowIsn="6" id="4">
                  <Column val="7"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="4"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <_DitIndexForToolkit val="6"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="5" FlowIsn="7" id="5">
                  <Column val="8"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="4"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <_DitIndexForToolkit val="8"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="6" FlowIsn="8" id="6">
                  <Column val="12"/>
                  <Type val="R"/>
                  <IsParameter val="N"/>
                  <_RecomputeLength val="2"/>
                  <_RecomputeIndex val="2"/>
                  <_FormIndex val="4"/>
                  <_ControlIndex val="4"/>
                  <_OleSubformIdx val="4"/>
                  <_TabbingOrderDspIndex val="4"/>
                  <_DitIndexForToolkit val="10"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="9">
                  <Type val="0"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Select FieldID="7" FlowIsn="10" id="7">
                  <ASS val="1"/>
                  <Column val="1"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeLength val="1"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="2"/>
                  <_ControlIndex val="2"/>
                  <_OleSubformIdx val="2"/>
                  <_TabbingOrderDspIndex val="2"/>
                  <_DitIndexForToolkit val="13"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Select FieldID="8" FlowIsn="11" id="8">
                  <ASS val="2"/>
                  <Column val="2"/>
                  <Type val="V"/>
                  <IsParameter val="N"/>
                  <_RecomputeIndex val="1"/>
                  <_FormIndex val="1"/>
                  <_ControlIndex val="1"/>
                  <_OleSubformIdx val="1"/>
                  <_TabbingOrderDspIndex val="1"/>
                  <_DitIndexForToolkit val="15"/>
                  <DIFF_UPDATE val="T"/>
                  <Condition val="Y"/>
                  <Modifier val="S"/>
                  <Direction val="C"/>
                </Select>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="12">
                  <Type val="1"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
              <LogicLine>
                <Remark FlowIsn="13">
                  <Type val="1"/>
                  <Text val=" "/>
                </Remark>
              </LogicLine>
            </LogicLines>
          </LogicUnit>
        </TaskLogic>
        <TaskForms>
          <FormEntry _last_isn="17" _last_test_id="34" id="2">
            <PropertyList model="FORM_GUI0">
              <Width id="23" val="354"/>
              <Height id="24" val="103"/>
              <SystemMenu id="27" val="Y"/>
              <MinimizeButton id="28"/>
              <MaximizeButton id="29"/>
              <_Comment id="218"/>
              <StartupPosition id="275" val="4"/>
              <FormName id="311" valUnicode="WEB制御マスタ保守"/>
              <_TabbingOrder id="318" val="1"/>
              <UserStateIdentifier id="437"/>
            </PropertyList>
            <Control _test_id="23" id="1">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="SMTPサーバ:"/>
                <Left id="21" val="4"/>
                <Top id="22" val="8"/>
                <Width id="23" val="44"/>
                <Height id="24" val="8"/>
                <Font id="50" val="4"/>
                <Style id="63" val="1"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="17" id="2">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="2"/>
                </Model>
                <Left id="21" val="92"/>
                <Top id="22" val="8"/>
                <Width id="23" val="203"/>
                <Height id="24" val="11"/>
                <Data FieldID="2" id="43"/>
                <ControlName id="46" val="SMTPサーバ"/>
                <_Orientation id="143"/>
                <TabOrder id="314" val="1"/>
              </PropertyList>
            </Control>
            <Control _test_id="24" id="3">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="SMTPアカウント:"/>
                <Left id="21" val="4"/>
                <Top id="22" val="24"/>
                <Width id="23" val="60"/>
                <Height id="24" val="8"/>
                <Font id="50" val="4"/>
                <Style id="63" val="1"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="18" id="4">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="3"/>
                </Model>
                <Left id="21" val="92"/>
                <Top id="22" val="24"/>
                <Width id="23" val="123"/>
                <Height id="24" val="11"/>
                <Data FieldID="3" id="43"/>
                <ControlName id="46" val="SMTPアカウント"/>
                <_Orientation id="143"/>
                <TabOrder id="314" val="2"/>
              </PropertyList>
            </Control>
            <Control _test_id="25" id="5">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="SMTPパスワード:"/>
                <Left id="21" val="4"/>
                <Top id="22" val="40"/>
                <Width id="23" val="60"/>
                <Height id="24" val="8"/>
                <Font id="50" val="4"/>
                <Style id="63" val="1"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="19" id="6">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="4"/>
                </Model>
                <Left id="21" val="92"/>
                <Top id="22" val="40"/>
                <Width id="23" val="123"/>
                <Height id="24" val="11"/>
                <Data FieldID="4" id="43"/>
                <ControlName id="46" val="SMTPパスワード"/>
                <_Orientation id="143"/>
                <TabOrder id="314" val="3"/>
              </PropertyList>
            </Control>
            <Control _test_id="26" id="7">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="管理者メールアドレス:"/>
                <Left id="21" val="4"/>
                <Top id="22" val="64"/>
                <Width id="23" val="84"/>
                <Height id="24" val="8"/>
                <Font id="50" val="4"/>
                <Style id="63" val="1"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="20" id="8">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="5"/>
                </Model>
                <Left id="21" val="92"/>
                <Top id="22" val="64"/>
                <Width id="23" val="243"/>
                <Height id="24" val="11"/>
                <Data FieldID="5" id="43"/>
                <ControlName id="46" val="管理者メールアドレス"/>
                <_Orientation id="143"/>
                <TabOrder id="314" val="4"/>
              </PropertyList>
            </Control>
            <Control _test_id="27" id="9">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="セッション有効時間分:"/>
                <Left id="21" val="4"/>
                <Top id="22" val="80"/>
                <Width id="23" val="84"/>
                <Height id="24" val="8"/>
                <Font id="50" val="4"/>
                <Style id="63" val="1"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control PDOD="1" _test_id="21" id="10">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="6"/>
                </Model>
                <Left id="21" val="92"/>
                <Top id="22" val="80"/>
                <Width id="23" val="19"/>
                <Height id="24" val="11"/>
                <Data FieldID="6" id="43"/>
                <ControlName id="46" val="セッション有効時間分"/>
                <MultiLineEdit id="71"/>
                <_Orientation id="143"/>
                <TabOrder id="314" val="5"/>
              </PropertyList>
            </Control>
            <Control _test_id="28" id="11">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="分"/>
                <Left id="21" val="116"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="33" id="12">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="（"/>
                <Left id="21" val="132"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control PDOD="1" _test_id="29" id="13">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="7"/>
                </Model>
                <Left id="21" val="144"/>
                <Top id="22" val="80"/>
                <Width id="23" val="16"/>
                <Height id="24" val="11"/>
                <Data FieldID="7" id="43"/>
                <ControlName id="46" val="W.時間"/>
                <Style id="63" val="1"/>
                <MultiLineEdit id="71"/>
                <_Orientation id="143"/>
                <TabInto id="269"/>
                <TabOrder id="314" val="6"/>
                <AllowParking id="315"/>
              </PropertyList>
            </Control>
            <Control _test_id="31" id="14">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="時間"/>
                <Left id="21" val="164"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control PDOD="1" _test_id="30" id="15">
              <PropertyList model="CTRL_GUI0_EDIT">
                <Model ID="MODEL_GUI_INT" id="1">
                  <Var FieldID="8"/>
                </Model>
                <Left id="21" val="176"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <Data FieldID="8" id="43"/>
                <ControlName id="46" val="W.分"/>
                <Style id="63" val="1"/>
                <MultiLineEdit id="71"/>
                <Format id="82" valUnicode="2"/>
                <_Orientation id="143"/>
                <TabInto id="269"/>
                <TabOrder id="314" val="7"/>
                <AllowParking id="315"/>
              </PropertyList>
            </Control>
            <Control _test_id="32" id="16">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="分"/>
                <Left id="21" val="188"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
            <Control _test_id="34" id="17">
              <PropertyList model="CTRL_GUI0_STATIC">
                <Text id="19" valUnicode="）"/>
                <Left id="21" val="200"/>
                <Top id="22" val="80"/>
                <Width id="23" val="8"/>
                <Height id="24" val="11"/>
                <_Orientation id="143"/>
              </PropertyList>
            </Control>
          </FormEntry>
        </TaskForms>
        <Expressions>
          <Expression id="1">
            <ExpSyntax val="Fix({0,6}/60,4,0)"/>
            <ExpAttribute val="N"/>
          </Expression>
          <Expression id="2">
            <ExpSyntax val="{0,6}-({0,7}*60)"/>
            <ExpAttribute val="N"/>
          </Expression>
        </Expressions>
      </Task>
    </Programs>
  </ProgramsRepository>

</Application>
